Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.search
Class FindUsageTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protegex.owl.ui.search.FindUsageTableModel

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, Serializable, TableModel

    public class FindUsageTableModel

extends AbstractTableModel
implements edu.stanford.smi.protege.util.Disposable

A TableModel displaying the results of a "find usage" run. This has two columns - one for the anonymous class, and one for the named host class.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary
`static int` | `COL_COUNT`
`static int` | `COL_HOST`
`static int` | `COL_TYPE`
`static int` | `COL_USAGE`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`FindUsageTableModel(OWLModel owlModel, Collection<FindUsageTableItem> items)`

Method Summary
`void` | `dispose()`
`Class` | `getColumnClass(int column)`
`int` | `getColumnCount()`
`String` | `getColumnName(int column)`
`int` | `getRowCount()`
`RDFResource` | `getUsage(int rowIndex)`
`Object` | `getValueAt(int rowIndex, int columnIndex)`
`void` | `setItems(Collection<FindUsageTableItem> items)`
`void` | `setSortColumn(int column)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COL_HOST

    public static final int COL_HOST

See Also:
  Constant Field Values

### COL_TYPE

    public static final int COL_TYPE

See Also:
  Constant Field Values

### COL_USAGE

    public static final int COL_USAGE

See Also:
  Constant Field Values

### COL_COUNT

    public static final int COL_COUNT

See Also:
  Constant Field Values

Constructor Detail

### FindUsageTableModel

    public FindUsageTableModel(OWLModel owlModel,
                               Collection<FindUsageTableItem> items)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

### getColumnClass

    public Class getColumnClass(int column)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `TableModel`

### getColumnName

    public String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `TableModel`

### getUsage

    public RDFResource getUsage(int rowIndex)

### getValueAt

    public Object getValueAt(int rowIndex,
                             int columnIndex)

  Specified by:
    `getValueAt` in interface `TableModel`

### setItems

    public void setItems(Collection<FindUsageTableItem> items)

### setSortColumn

    public void setSortColumn(int column)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.